import 'dart:async';

import 'package:flutter/services.dart';

class Driver {
  static const MethodChannel _channel =
  const MethodChannel('com.suyun.app.io.flutter.plugin/driver');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<Map<dynamic, dynamic>> headersFromChannel() async {
    final Map<dynamic, dynamic> headersFromChannel = await _channel
        .invokeMethod('getHeaders');
    return headersFromChannel;
  }

  static Future<Map<dynamic, dynamic>> paramsFromChannel() async {
    final Map<dynamic, dynamic> paramsFromChannel = await _channel.invokeMethod(
        'getParams');
    return paramsFromChannel;
  }

  static void reportError(dynamic arguments) async {
    await _channel.invokeMethod('report', arguments);
  }
}
